# DSPOptimizations Mod
This mod adds optimizations to DSP. Few optimizations are available currently, but more will be added in the future.

## Important Notice
The low resolution shells optimization is now obsolete with DSP v0.9. If you had lower resolution shells in your save, then the vanilla game will update them incorrectly. As of v1.0.6, this mod should update such modded shells correctly.

## Features
- coming soon: lower UPS impact from dyson nodes
### Other
- Shadows can be disabled in the config

## Installation Note
This mod depends on [DSPModSave](https://dsp.thunderstore.io/package/CommonAPI/DSPModSave/). Make sure that you have the version under the CommonAPI name, rather than the old version released by crecheng. The old version has bugs, and may cause problems. The old version of the mod is marked as deprecated.

## Compatibility
This mod is most likely not compatible with the [Nebula Mod](https://dsp.thunderstore.io/package/nebula/NebulaMultiplayerModApi/), however compatibility will be added in the future.

## Bug Reports
If you encounter any bugs or issues, then please contact me either on discord at Selsion#0769, or by raising an issue on the [mod github page](https://github.com/Selsion/DSPMods/tree/main/DSPOptimizations).

## Changelog
- v1.0.6
	- Removed the low resolution shells feature
- v1.0.5
	- fixed bug where nodes might not queue sails for absorption after importing a modded save
- v1.0.4
	- added multithreading for counting the number of cell points a shell would get in vanilla
- v1.0.3
	- moved the shell resolution panel up to fit on the screen when using a layout height of 900
- v1.0.2
    - initial release on Thunderstore
    - fixed integer overflow bug when filling shell vertices with sails when regenerating
	- added more debug logging and error checking
- v1.0.1
    - fixed issue where when first loading a save with low res shells when the .moddsv file exists from other mods, the low res shells import code isn't called. using the new version of DSPModSave should also fix the issue
- v1.0.0
	- initial pre-release on github
	- implemented low resolution shells
	- added a config option to disable shadows

## Attributions
Icon(s) made by [Freepik](https://www.freepik.com) from www.flaticon.com